      subroutine coul
c     version as of 3/19/88.
c
c     ******************************************************************
c
c     computes coulomb potential by integration. 
c     potential is computed from density rhop. 
c     
c
c     ******************************************************************
c
      implicit none
      include 'mai1_com.inc'
      include 'mai2_com.inc'
      include 'gsdn_com.inc'
c
      real*8 q(200),r,aux,xnorm
      integer*4 i,j
c
c     first find the charge (unnormalized) contained within a
c     given radius.  outward integration is used when density rhop
c     is employed.
c
c
      q(1)=rhop(1)*h*h*h/3.d0
      r=2.d0*h
      do   i=2,npts
         aux=r*r*rhop(i)+(r-h)*(r-h)*rhop(i-1)
         q(i)=q(i-1)+aux*h/2.d0
         r=r+h
      enddo
c
c     now find the unnormalized coulomb potential by inward inte-
c     gration.
c
      vcoul(npts)=q(npts)/rmax
      r=rmax-h
      do  j=2,npts
         i=npts-j+1
         aux=q(i)/(r*r)+q(i+1)/((r+h)*(r+h))
         vcoul(i)=vcoul(i+1)+aux*h/2.d0
         r=r-h
      enddo
c
c     normalize to correct coulomb potential at outer boundary.
c
      xnorm=(2.d0*zzp)/(rmax*emu*vcoul(npts))
c
      do i=1,npts
         vcoul(i)=xnorm*vcoul(i)
      enddo
c     
      write(lout,100)
  100 format(//' point-nucleon coulomb potential (mev)'/)
      write(lout,102)(vcoul(i),i=1,npts)
  102 format(1p10e12.4)
c
      return
      end
