      program mom1d
c     version as of 30/09/01.
c
c     ******************************************************************
c
c     program to fold densities with JLM NM optical potential to yield
c     optical folded potentials 
c
c     fortran 77 version.
c
c     
c     ******************************************************************
c
      implicit none
      include 'mai1_com.inc'
      include 'mai2_com.inc'
      include 'gsdn_com.inc'
      include 'nams_com.inc'
      include 'sfrl_com.inc' 
      include 'ltra_com.inc'
      include 'gl_com.inc'
      include 'lamx_com.inc'
      include 'vcinp_com.inc'
      
      write(6,*)' Input file name:'
      read(5,'(a)')namei
      open(unit=lin,file=namei)

      write(6,*)' Output file name (or c.r. for screen):'
      read(5,'(a)')nameo
      if(nameo.ne.'            ') open(unit=lout,file=nameo)
      


      write(6,*)' Ground-state density file name (or c.r. if none):'
      read(5,'(a)')namegd
      if(namegd.ne.'            ') open(unit=lden,file=namegd)



   10 continue
 
c     read input file
      call readin
      lamax=ilamaxi

c     do preliminary calculations
      call prelim
      call prepgl
c     get the densites
      call getden 
c     calculate coulomb field if necessary
      if(zp.ne.0.d0) then
         call coul
      endif
c     do the folding for the central potential
      call jlmcen 
c     do the calculation of the S.O. potential 
      call simpls
c     write output
      call dowrite

      go to 10

      end








