      subroutine volrsq(vint,rrms,rsharp,x,h,npts,f)
c     version as of 3/19/88.
c
c     ******************************************************************
c
c     simpson-rule integration to calculate volume integral and
c     mean-square radius of a function.  the function must go to
c     zero toward the outer boundary.  the equivalent sharp-cutoff
c     radius is also computed.
c
c     ******************************************************************
c
      implicit none

      integer*4 npts
      real*8 f(1),x(1),vint,rrms,rsharp,h

      include 'pi_com.inc'

      integer*4 i
      real*8 r,vint1,vint2,rsq1,rsq2,rsq,aux
c
c
      rrms=0.d0
      rsharp=0.d0
c
      r=h
      do  i=1,npts
         x(i)=r*r
         r=r+h
      enddo
c
      vint1=0.d0
      vint2=0.d0
      rsq1=0.d0
      rsq2=0.d0
c
      do 20 i=2,npts,2
c  
      vint1=vint1+x(i-1)*f(i-1)
      vint2=vint2+x(i)*f(i)
c
      rsq1=rsq1+x(i-1)*x(i-1)*f(i-1)
   20 rsq2=rsq2+x(i)*x(i)*f(i)
c
      vint=(4.d0*vint1+2.d0*vint2)*h/3.d0
      rsq =(4.d0*rsq1 +2.d0*rsq2 )*h/3.d0
c
      if(vint.eq.0.d0) go to 30
      aux=rsq/vint
      if(aux.gt.0.d0) rrms=sqrt(aux)
   30 vint=4.d0*pi*vint
      if(f(1).eq.0.d0) return
      aux=3.d0*vint/(4.d0*pi*f(1))
      if(aux.gt.0.d0) rsharp=aux**(1.d0/3.d0)
      return
c
      end
